#include "queueworker.h"
#include "myobj.h"
#include "Windows.h"
#include <QDebug>
#include <QTime>

QueueWorker::QueueWorker(QObject *parent) :
    QObject(parent)
{
}

void QueueWorker::startRunner() {
    qDebug() << "startRunner()";
    stopped=false;
    mainloop();
}

void QueueWorker::mainloop() {
    qDebug() << ">> mainloop()";

    while(!stopped) {
        MyObj* m = new MyObj();
        QTime t=QTime::currentTime();
        m->data=t.toString();
        int result=1;
        qDebug() << "emit from worker";
        emit jobFinished(m, result);
        Sleep(500);
    }
    emit finished();
}

void QueueWorker::onStopRequest() {
    qDebug() << "onStopRequest()";
    stopped=true;
}
