#ifndef MYDIALOG_H
#define MYDIALOG_H

#include <QDialog>
#include <myobj.h>

namespace Ui {
    class Dialog;
}

class MyDialog : public QDialog
{
    Q_OBJECT
public:
    explicit MyDialog(QWidget *parent = 0);
    
signals:
    void addJob(QString job);
    void removeJob(QString job);
    void stop();

public slots:
    void onJobFinished(MyObj* job,int value);

private slots:
    void on_pushButton_clicked();

private:
    Ui::Dialog *ui;
    
};

#endif // MYDIALOG_H
