#ifndef QUEUEWORKER_H
#define QUEUEWORKER_H

#include <QObject>
#include <myobj.h>

class QueueWorker : public QObject
{
    Q_OBJECT
public:
    explicit QueueWorker(QObject *parent = 0);
    
signals:
    void jobFinished(MyObj* obj, int result);
    void finished();

public slots:
    void startRunner();
    void onStopRequest();

private:
    void mainloop();
    bool stopped;
    
};

#endif // QUEUEWORKER_H
